Subject: Re: Booting without Uboot on 8548E

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 07 Nov 2006 08:38:10 +1100

> But moving to arch/powerpc (while a good idea) is not going to solve  
> your problems.  There are bound to be a large number of things the  
> kernel expects to have done for it by the firmware.  In arch/powerpc,  
> the 8548 kernel expects PCI to be set up, for instance (We plan to  
> fix that, but it involves porting some code that only exists in arch/ 
> ppc).

I hope you don't mean porting pci-auto over :)

While It was good to have back then, we should really fix out PCI layer
to properly assign unassigned devices itself.

There is much work to do to cleanup ppc32, ppc64 and core PCI so they
can deal with all the various setups around, but it's probably a
worthwhile goal.

Ben.